<?php
	if( !is_array($_G['project']) ){
		ob_clean();
		exit("Forbidden");	
	}
?>
  
    
    <?php
	
	//连接数据库
	System :: connect();
	
	require_once("../../function/hocker.php");
	
	//初始化Hock
	$_G['hooks'] = array();
	
	//缓存所有Hock
	Module :: hooks_push();
	
	?>
    
    <div id="panel">
    
    	<ol>
			<?php
				echo Module :: hooks_slice('start:panel-tab');
			?>  
        </ol>
        
    	<ul>
			<?php
				echo Module :: hooks_slice('start:panel-box');
			?>        	
        </ul>
        
        <div></div>
    
    </div>
    
    <?php
	
        //关闭数据库
        System :: connect();
	
	?>
    
    <div class="clear"></div>
    
	<script type="text/javascript">	
	function doResize(){
		var body=document.documentElement;
		var quick=$("quick");
		var panel=$("panel");
		
		if( !quick.getAttribute("_w") ){
			quick.setAttribute("_w",quick.offsetWidth);		
		}
		
		var width = Math.abs(body.offsetWidth-quick.getAttribute("_w")-22);
		
		//alert(width);
		
		if( width<200 ){
			quick.style.width = "100%";
			panel.style.display = "none";
		}else{
			quick.style.width = quick.getAttribute("_w")+"px";
			panel.style.display = "";
			panel.style.width = width+"px";
		}
	}
     
	/*****************/
	
	Mo.reader( doResize );
	
	window.onresize = doResize;
 
	var TO = new Mo.TabOption("mouseover");
	
	TO.TabClass("active","");
	
	var Sel = $E("#panel ol li");
	var Box = $E("#panel ul li");
	
	for(var i=0;i<=Sel.length;i++){
		TO.Add(Sel[i],Box[i]);
	}
 
	if( Sel.length ) TO.Play(Sel.length-1);
     
    </script>
